/**************************************************************
 * 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 * 
 *************************************************************/



#ifndef CONNECTIVITY_TKEY_HXX
#define CONNECTIVITY_TKEY_HXX

#include "connectivity/dbtoolsdllapi.hxx"
#include <connectivity/sdbcx/VKey.hxx>
#include <com/sun/star/sdbc/XDatabaseMetaData.hpp>

namespace connectivity
{
	class OTableHelper;
	class OOO_DLLPUBLIC_DBTOOLS OTableKeyHelper : public connectivity::sdbcx::OKey
	{
		OTableHelper*	m_pTable;
	public:
		virtual void refreshColumns();
	public:
		OTableKeyHelper(	OTableHelper* _pTable);
		OTableKeyHelper(	OTableHelper* _pTable
				,const ::rtl::OUString& _Name
				,const sdbcx::TKeyProperties& _rProps
			);
		inline OTableHelper* getTable() const { return m_pTable; }
	};
}
#endif // CONNECTIVITY_TKEY_HXX


