/**************************************************************
 * 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 * 
 *************************************************************/



#include "precompiled_cppu.hxx"
#include "sal/config.h"

#include "testshl/simpleheader.hxx"
#include "sal/types.h"

#include "Rec.hpp"

namespace
{

class Test: public CppUnit::TestFixture {

public:
    void testRecursion();

    CPPUNIT_TEST_SUITE(Test);
    CPPUNIT_TEST(testRecursion);
    CPPUNIT_TEST_SUITE_END();
};

void Test::testRecursion() {
    CPPUNIT_ASSERT_EQUAL(static_cast< sal_Int32 >(0), Rec().x.getLength());
}

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION(Test, "tests");

}

NOADDITIONAL;
