/**************************************************************
 * 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 * 
 *************************************************************/

#ifndef __ACCTEXTCOMPONENTEVENTLISTENER_HXX
#define __ACCTEXTCOMPONENTEVENTLISTENER_HXX

#include <stdio.h>
#include "AccComponentEventListener.hxx"
#include <com/sun/star/accessibility/XAccessibleEventListener.hpp>
#include <com/sun/star/accessibility/XAccessible.hpp>

using namespace ::com::sun::star::uno;

/**
 * AccTextComponentEventListener is inherited from AccComponentEventListener. It handles the evnets
 * generated by container controls. The accessible role is: TEXT 
 * It defines the procedure of specific event handling related with text components and provides 
 * the detailed support for some related methods.  
 */
class AccTextComponentEventListener: public AccComponentEventListener
{
public:
    AccTextComponentEventListener(com::sun::star::accessibility::XAccessible* pAcc, AccObjectManagerAgent* Agent);
    virtual ~AccTextComponentEventListener();

    virtual void SAL_CALL setComponentState(short state, bool enable);

};

#endif
